<%@page import="java.io.*,java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*, m05bClasses.*,java.io.PrintWriter" %>
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
<HTML>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>	
<%@ include file="/m05bIdioma.inc"%>

<head>
        <title><%= resTit.getString("titLstSancionesPendientes")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">

		<!--script language="javascript1.2" src="<%//=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script-->
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>

			

			
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma
   	urlIdioma = "<%=m05bConstantesPaginas.LST_IMPORT_LISTADOS%>";
	var rutaCabecera;	//Camino de migas
	<% String ruta="/m05bParqueMovilWar/m05bLisResulImportarJsp.jsp" ; %>
	rutaCabecera="";
	detActual='<%= resCM.getString("cmLstImportListados")%>';
    //rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='" + urlIdioma + "'><%= resCM.getString("cmLstSancionesPendientes")%></a>";
 </SCRIPT>

 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
 	 
<%
    String sDescInforme="";
    String sDescInforme2="";
    String sDescInformeTmp="";
    String sDescInforme2Tmp="";    
    String fecha="";
    String fechaTmp="";
    String urlServlet ="";
    String urlServlet2 ="";
    String id="";
    String sDuplic="";
	//String urlServlet = request.getParameter("UrlServlet");
	PrintWriter outMsg= response.getWriter();
	m05bComun miComun = new m05bComun();
	//if (urlServlet == null)
	//{ urlServlet="";
	//}else{
	//urlServlet=urlServlet.replace('_','?');
	//urlServlet=urlServlet.replace('-','&');
	//}
	
    //urlServlet = urlServlet == null ? "":urlServlet.replaceAll("#","?").replaceAll("$","&");
    String sInforme=request.getParameter("Informe");
    sInforme = sInforme == null ? "":sInforme;
    if (sInforme.equals("1")){
      fecha = request.getParameter("Fecha");
      sDescInforme="INFORME DE CARGAS DE GASTOS DE TARJETAS";
     
        if (!(fecha.equals(""))) {
		
	    outMsg.println("<script>alert(dameAlerta(idioma, 63) + '"  + fecha + "')</script>");
		outMsg.close();
	      }  
	    //urlServlet=urlServlet+"?Fecha="+fecha;
	    urlServlet =  miComun.leerPropiedad("PDF.CargasCajas");
    }else if (sInforme.equals("2")){
       	sDescInforme="TARJETAS NO REGISTRADAS EN LA APLICACION";
	   	outMsg.println("<script>alert(dameAlerta(idioma, 115));</script>");
       	outMsg.println("<script>alert(dameAlerta(idioma, 59));</script>");
	   	outMsg.close(); 
	   	urlServlet= miComun.leerPropiedad("PDF.TarjCajas") + "?Id="+ request.getParameter("Id");
    }else if (sInforme.equals("3")){
       	sDescInforme="TARJETAS SIN MATRICULA";
       	outMsg.println("<script>alert(dameAlerta(idioma, 115));</script>");
       	outMsg.println("<script>alert(dameAlerta(idioma, 56));</script>");
	   	outMsg.close(); 
	   	urlServlet= miComun.leerPropiedad("PDF.TarjNoMatricCajas") + request.getParameter("Id"); 	   
    }else if (sInforme.equals("4")){
       	sDescInforme="CENTROS EN FICHERO DE CAJAS DISTINTOS EN TARJETAS";
       	sDescInforme2="INFORME DUPLICADOS KUTXAK";
       	//sDuplic = request.getParameter("Duplic");
       	outMsg.println("<script>alert(dameAlerta(idioma, 255));</script>");
       	outMsg.println("<script>alert(dameAlerta(idioma, 61));</script>");
	   	outMsg.close();  
	   	urlServlet= miComun.leerPropiedad("PDF.CentrosCajas") + request.getParameter("Id") ;   
	   	urlServlet2= miComun.leerPropiedad("PDF.DuplicCajas");
    }else if (sInforme.equals("5")){
      	sDescInforme="CENTROS EN FICHERO DE CAJAS DISTINTOS EN TARJETAS";
      	//sDuplic = request.getParameter("Duplic");
       	outMsg.println("<script>alert(dameAlerta(idioma, 255));</script>");
       	outMsg.println("<script>alert(dameAlerta(idioma, 61));</script>");
	   	outMsg.close();  
	   	urlServlet= miComun.leerPropiedad("PDF.CentrosCajas") + request.getParameter("Id");   
    }else if (sInforme.equals("6")){
    	sDescInforme="INFORME DUPLICADOS KUTXAK";
	    outMsg.println("<script>alert(dameAlerta(idioma, 255));</script>");
   		outMsg.println("<script>alert(dameAlerta(idioma, 62));</script>");
		outMsg.close();
		urlServlet= miComun.leerPropiedad("PDF.DuplicCajas");
    }
    
   // rutaInforme= "<a href="+"'"+"javascript: otra_ventana("+ urlServlet +")" + '"'+ "  target=_blank>  "+sDescInforme+"</a>";
  
    
%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		<td>&nbsp</td>
		<td width="98%">
			<!-- Calendarios -->

       <FORM NAME="formSolicitud" METHOD="POST">

			<TABLE class="general">

			</TABLE>
		  <TABLE class="general">
		  	<tr> 
		      <td width="100%">
		   		  <TABLE class="general">
				    <tr>

   		                <td class="inputFieldTitle" colspan="3" width="100%"><a href='javascript:void(window.open("<%=urlServlet %>","Informe","toolbar=0, location=0, directories=0, resizable=0, scrollbars=0"));' ><%= sDescInforme%>   </a>
   		                </td>
					</tr>
				<% if (sInforme.equals("4")) { %>
					<tr>
   		              <td class="inputFieldTitle" colspan="3" width="100%"><a href='javascript:void(window.open("<%=urlServlet2 %>","Informe","toolbar=0, location=0, directories=0, resizable=0, scrollbars=0"));'><%= sDescInforme2%>   </a>
					</tr>

                <%}%>
				</table>
				
</FORM>		    		
		</td>
	</tr>
	<tr>
			<td ><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
